Are there any specific device requirements?

There are no device requirements but if your environment uses HTTPS you may need to install the Root CA on your device